function Onglet(nom, tailleX, tailleY, tailleXOg, tailleYOg, initOg ){
		this.nom = nom;
		this.tailleX = tailleX;
		this.tailleY = tailleY;
		this.tailleXOg = tailleXOg;
		this.tailleYOg = tailleYOg;
		this.onglets = new Array();
		this.currentOnglet = null;
		this.currentSelOnglet = null;
		this.initOg = initOg;
		this.clsEna = "ongletTextEna";
		this.clsDis = "ongletTextDis";
		this.clsSp = "ongletSpace";
		this.clsMiddle = "ongletMiddle";
		this.clsMain = "ongletMain";
		this.colorOver = "#F7810F";
		this.add = addOnglet;		
		this.displayHeader = displayOngletHeader;
		this.displayFooter = displayOngletFooter;

		this.changeOnglet = changeOnglet;
		this.onOngletOver = onOngletOver;
		this.onOngletOut = onOngletOut;
}
	
function addOnglet( og ){
	this.onglets[this.onglets.length] = og;
}
	
function displayOngletHeader(){
	var html = "";
	html += "<table width=" + this.tailleX + " height=" + this.tailleY + " cellspacing=0 cellpadding=0>";
	html += "<tr><td><table cellpadding=0 cellspacing=0 height=" + this.tailleYOg + " width=100%><TR>";
		
	for( var i=0; i < this.onglets.length; i++ ){
	    html += "<td width=" + this.tailleXOg + " height=" + this.tailleYOg + " title=\"" + this.onglets[i].libOg + "\" id=ogO" + this.nom + i + " class=" + ((this.initOg == i)?this.clsEna:this.clsDis) + " onclick=\"" + this.nom + ".changeOnglet(this, 'og_" + this.nom + i + "')\" onmouseover=\"" + this.nom + ".onOngletOver(this)\" onmouseout=\"" + this.nom + ".onOngletOut(this)\">" + this.onglets[i].titreOg + "</td>";
	    html += "<td class=" + this.clsSp + " width=5>&nbsp;</td>";
	}
	html += "<td class=" + this.clsSp + ">&nbsp;</td></tr><tr><td height=5 colspan=" + (this.onglets.length*2 + 1) + " class=" + this.clsMiddle + ">&nbsp;</td></tr></table></td></tr><tr><td class=" + this.clsMain + " height=" + (this.tailleY - this.tailleYOg)+ ">";
	document.write(html);
}
	
function displayOngletFooter(){
	var html = "";
	html += "</td></tr></table>";
	document.getElementById("og_" + this.nom + this.initOg).style.display = "";
	this.currentOnglet = document.getElementById("og_" + this.nom + this.initOg);
	this.currentSelOnglet = document.getElementById("ogO" + this.nom + this.initOg);
	document.write(html);
}
	
function OngletItem(titreOg, libOg ){
	this.titreOg = titreOg;
	this.libOg = libOg;
}
	
function changeOnglet( srcOg, srcTab ){
	this.currentSelOnglet.className = this.clsDis;
	this.currentOnglet.style.display = "none";
	this.currentSelOnglet.style.color="";
	this.currentSelOnglet = srcOg;
	this.currentOnglet = document.getElementById(srcTab);
	this.currentSelOnglet.className = this.clsEna;
	this.currentOnglet.style.display = "";
}
	
function onOngletOver( srcOg ){
	if( srcOg != this.currentSelOnglet ){
		srcOg.style.cursor = "pointer";
		srcOg.style.color = this.colorOver;
	}else{
		srcOg.style.cursor='default';
		srcOg.style.color = "";
	}
}

function onOngletOut( srcOg ){
	srcOg.style.color="";
}


function ongletstyle(){
mystyle="<style>";
mystyle +=".clsAction {FONT-WEIGHT: bold; FONT-SIZE: 10px; COLOR: #053c6d; FONT-FAMILY: Verdana, Arial, Helvetica, sans-serif}";
mystyle +=".ongletTextEna {BORDER-RIGHT: #80add6 2px solid; BORDER-TOP: #80add6 2px solid; FONT-WEIGHT: bold; FONT-SIZE: 10px; BORDER-LEFT: #80add6 2px solid; COLOR: #005386; BORDER-BOTTOM: medium none; FONT-FAMILY: verdana; BACKGROUND-COLOR: #dce8f4; TEXT-ALIGN: center}";
mystyle +=".ongletTextDis {BORDER-RIGHT: #c5c5c5 1px solid; BORDER-TOP: #c5c5c5 1px solid; FONT-WEIGHT: bold; FONT-SIZE: 10px; BORDER-LEFT: #c5c5c5 1px solid; COLOR: #80add6; BORDER-BOTTOM: #80add6 2px solid; FONT-FAMILY: verdana; BACKGROUND-COLOR: #e6e6e6; TEXT-ALIGN: center}";
mystyle +=".ongletSpace {BORDER-BOTTOM: #80add6 2px solid}";
mystyle +=".ongletMiddle {BORDER-RIGHT: #80add6 2px solid; BORDER-TOP: medium none; FONT-SIZE: 1px; BORDER-LEFT: #80add6 2px solid; BORDER-BOTTOM: medium none; BACKGROUND-COLOR: #dce8f4}";
mystyle +=".ongletMain {BORDER-RIGHT: #80add6 2px solid; BORDER-TOP: medium none; BORDER-LEFT: #80add6 2px solid; BORDER-BOTTOM: #80add6 2px solid; BACKGROUND-COLOR: #dce8f4}";
mystyle +=".ongletTextEna2 {BORDER-RIGHT: medium none; BORDER-TOP: #f7810f 1px solid; FONT-WEIGHT: bold; FONT-SIZE: 9px; BORDER-LEFT: #f7810f 1px solid; COLOR: #005386; BORDER-BOTTOM: #f7810f 1px solid; FONT-FAMILY: verdana; BACKGROUND-COLOR: #fef4e9; TEXT-ALIGN: center}";
mystyle +=".ongletTextDis2 {BORDER-RIGHT: #f7810f 1px solid; BORDER-TOP: #c5c5c5 1px solid; FONT-WEIGHT: bold; FONT-SIZE: 9px; BORDER-LEFT: #c5c5c5 1px solid; COLOR: #80add6; BORDER-BOTTOM: #c5c5c5 1px solid; FONT-FAMILY: verdana; BACKGROUND-COLOR: #e6e6e6; TEXT-ALIGN: center}";
mystyle +=".ongletSpace2 {BORDER-RIGHT: #f7810f 1px solid; FONT-SIZE: 1px}";
mystyle +=".ongletMiddle2 {BORDER-RIGHT: medium none; BORDER-TOP: #80add6 1px solid; FONT-SIZE: 1px; BORDER-LEFT: medium none; BORDER-BOTTOM: #80add6 1px solid; BACKGROUND-COLOR: #fef4e9}";
mystyle +=".ongletMain2 {	BORDER-RIGHT: #f7810f 1px solid; BORDER-TOP: #f7810f 1px solid; BORDER-LEFT: medium none; BORDER-BOTTOM: #f7810f 1px solid; BACKGROUND-COLOR: #fef4e9}";
mystyle +="</style>";
document.write(mystyle);
}